@import "mixins/banner";
@include bsBanner("");

// scss-docs-start import-stack
// Configuration
@import "functions";
@import "./gis-collective-variables";
@import "./gis-collective-maps-theme";
@import "./gis-collective-variables-dark";
@import "./gis-collective-maps";
@import "mixins";
@import "utilities";

// Layout & components
@import "root";
@import "reboot";
@import "type";
@import "images";
@import "containers";
@import "grid";
@import "tables";
@import "forms";
@import "buttons";
@import "transitions";
@import "dropdown";
@import "button-group";
@import "nav";
@import "navbar";
@import "card";
@import "accordion";
@import "breadcrumb";
@import "pagination";
@import "badge";
@import "alert";
@import "progress";
@import "list-group";
@import "close";
@import "toasts";
@import "modal";
@import "tooltip";
@import "popover";
@import "carousel";
@import "spinners";
@import "offcanvas";
@import "placeholders";

// Helpers
@import "helpers";

// Utilities
$utilities: map-merge(
  $utilities,
  (
    "row-visibility": (
      property: display,
      class: "row-visibility",
      responsive: true,
      values: (
        yes: flex,
        no: none,
      ),
    ),
    "text-size": (
      property: "font-size",
      class: "text-size",
      responsive: true,
      values: $utilities-font-sizes,
    ),
    "text-line-clamp": (
      property: "-webkit-line-clamp",
      class: "text-line-clamp",
      responsive: true,
      values: $utilities-line-clamps,
    ),
    "background-position-y": (
      property: "background-position-y",
      class: "bg-position-y",
      responsive: true,
      values: top center bottom,
    ),
    "background-position-x": (
      property: "background-position-x",
      class: "bg-position-x",
      responsive: true,
      values: left center right,
    ),
    "text-align": (
      responsive: true,
      property: text-align,
      class: text,
      values: (
        start: left,
        end: right,
        center: center,
        justify: justify,
      )
    ),
    "w": (
      responsive: true,
      property: width,
      class: w,
      values: (
        25: 25%,
        50: 50%,
        75: 75%,
        100: 100%,
        auto: auto
      )
    ),
  )
);

$utilities: map-merge(
  $utilities,
  (
    "flex-direction-bis": (
      responsive: true,
      property: flex-direction,
      class: flex-direction,
      values: row column row-reverse column-reverse,
    ),
  )
);

@import "utilities/api";

// scss-docs-end import-stack
$dropdown-link-hover-bg: $gray-100;
@import "./custom-dropdown";
